Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451590 - Review Request: ghc-utf8-string - Support for reading and writing UTF8 strings for GHC Haskell
Summary: Review Request: ghc-utf8-string - Support for reading and writing UTF8 string...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://hackage.haskell.org/cgi-bin/ha...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 02:16 UTC by Rajesh Krishnan
Modified: 2010-01-25 23:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 23:23:27 UTC


Attachments (Terms of Use)
ghc-utf8-string-0.3.1-1.spec (deleted)
2008-06-16 02:16 UTC, Rajesh Krishnan
no flags Details

Description Rajesh Krishnan 2008-06-16 02:16:50 UTC
Version-Release number of selected component (if applicable):
0.3.1


Steps to Reproduce:
1.  Download 
http://hackage.haskell.org/packages/archive/utf8-string/0.3.1/utf8-string-0.3.1.tar.gz
    to rpmbuild/SOURCES folder.
2.  Copy attached <this-package>-<this-version>.spec to rpmbuild/SPECS folder.
3.  Copy the attached *.patch files to the rpmbuild/SOURCES folder (if any).
3.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba \
    rpmbuild/SPECS/<this-package>-<this-version>.spec
  
Actual results:
--

Expected results:
1. You should see the compiled RPM and SRPM binaries in the respective 
folders.
2. After installing the RPM package, you should be able to import the relevant 
module:
$ ghci
ghci>  :m + <module-name-from-package>


Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess, but I tested only on 
Fedora-8).

Comment 1 Rajesh Krishnan 2008-06-16 02:16:50 UTC
Created attachment 309433 [details]
ghc-utf8-string-0.3.1-1.spec

Comment 2 Bryan O'Sullivan 2008-06-17 23:23:27 UTC
I am mass-closing these submissions, as they are completely useless and do not
follow any of the packaging guidelines.  Do not attempt to reopen them.


Note You need to log in before you can comment on or make changes to this bug.